LibreOffice: SearchInfo Struct Reference

LibreOffice LibreOffice 5.4 SDK API Reference

Public Attributes | List of all members
SearchInfo Struct Referencepublished

information needed to (recursively) search an object. More...

`import"SearchInfo.idl";`

## Public Attributes
sequence< com::sun::star::ucb::SearchCriterium > | Criteria
| the search criteria. More...
com::sun::star::ucb::SearchRecursion | Recursion
| the mode of recursion to use. More...
boolean | IncludeBase
| whether to include the object itself in the search or only (some of) its sub-objects. More...
boolean | RespectFolderViewRestrictions
| whether to respect the "view restrictions" specified for the folders hierarchically contained within an object (e.g., only searches through subscribed folders). More...
boolean | RespectDocViewRestrictions
| whether to respect the "view restrictions" specified for the documents hierarchically contained within an object (e.g., only searches through marked documents). More...
boolean | FollowIndirections
| whether to follow indirections (link objects) and search through their respective targets also. More...

## Detailed Description

information needed to (recursively) search an object.

## Member Data Documentation

## ◆ Criteria

sequence<com::sun::star::ucb::SearchCriterium> Criteria

the search criteria.

## ◆ FollowIndirections

boolean FollowIndirections

whether to follow indirections (link objects) and search through their respective targets also.

## ◆ IncludeBase

boolean IncludeBase

whether to include the object itself in the search or only (some of) its sub-objects.

## ◆ Recursion

com::sun::star::ucb::SearchRecursion Recursion

the mode of recursion to use.

## ◆ RespectDocViewRestrictions

boolean RespectDocViewRestrictions

whether to respect the "view restrictions" specified for the documents hierarchically contained within an object (e.g., only searches through marked documents).

## ◆ RespectFolderViewRestrictions

boolean RespectFolderViewRestrictions

whether to respect the "view restrictions" specified for the folders hierarchically contained within an object (e.g., only searches through subscribed folders).

The documentation for this struct was generated from the following file:

- com/sun/star/ucb/SearchInfo.idl